import type { WsServerMsg, WsTopic } from "@yinuo-ngm/protocol";
export declare class WsContext {
    private socket;
    readonly connId: string;
    private subs;
    constructor(connId: string, socket: WebSocket);
    send(msg: WsServerMsg): void;
    addSub(topic: WsTopic, key: string): void;
    delSub(topic: WsTopic, key: string): void;
    hasSub(topic: WsTopic, key: string): boolean;
    clearAll(): void;
}
